:root {
  --form-control-color: #3cb878;
}
*, ::before, ::after {
  transition: linear 0.2s;
}
html {
  font-size: 14px;
  font-family: "Ubuntu", sans-serif;
  color: #434343;
}
body {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  background-image: url("../img/background.png");
  background-repeat: no-repeat;
  background-size: cover;
}
.form-wrapper {
  width: 322px;
  margin: auto;
}
/*HEADER & ELEMENTS*/
.main-page-header h2 {
  font-size: 22px;
  font-weight: 700;
  color: #fff;
  text-transform: uppercase;
}
.main-page-header h2 a {
  text-decoration:none;
  color:inherit;
}
.main-page-header p a,
.main-page-header p {
  text-decoration: none;
  color: #fff;
}
.main-page-header {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;
  height: 58px;
  background-color: rgb(0, 0, 0);
  opacity: 0.4;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  padding: 0 79px;
}
.nav-menu-items-wrapper {
  display: flex;
  flex-flow: row nowrap;
  justify-content: flex-end;
  align-items: center;
  column-gap: 2rem;
}
.main-navbar-list {
  display: flex;
  flex-flow: row nowrap;
  justify-content: flex-end;
  align-items: center;
  column-gap: 2rem;
  border-right: 1px solid rgba(255, 255, 255, 0.5);
  padding-right: 2rem;
  height: 19px;
}
/*PSEUDO DECOR*/
.page-form::before {
  content: "";
  position: absolute;
  top: 34px;
  left: 0;
  width: 18px;
  height: 18px;
  background-color:#3cb878;
}
.or-decor {
  margin-top: 31px;
  position: relative;
  width: 100%;
  text-align: center;
}
.or-decor::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  width: 45%;
  height: 1px;
  background-color: #F2F2F2;
}
.or-decor::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 0;
  width: 45%;
  height: 1px;
  background-color: #F2F2F2;
}
/*FORM*/
.page-form {
  position:relative;
  width: 444px;
  background-color: #ffffff;
  box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
  padding-bottom: 38px;
  padding-top: 31px;
}
.fieldset-1 input {
  border: none;
  background-color: rgba(0, 0, 0, 0);
  cursor: pointer;
  color: #3cb878;
  font-size: 14px;
  font-family: "Ubuntu", sans-serif;
}
.fieldset-1 {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: flex-start;
  width: 100%;
  margin-bottom: 15px;
}
.sign-up-legend {
  font-size: 20px;
  color: #434343;
}
.fieldset-2 {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;
  gap: 4px;
}
.social-button {
  border: none;
  cursor: pointer;
  font-size: 16px;
  font-family: "Ubuntu", sans-serif;
  color: #fff;
  width: 160px;
  height: 48px;
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;
  border-radius: 4px;
}
.btn-1 {
  background-color: #305db8;
}
.btn-2 {
  background-color: #df4a32;
}
.fieldset-3 {
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
  row-gap: 1.2rem;
}
.create-account-btn {
  display: block;
  margin: 0 auto;
}
.terms-conditions {
  text-align: center;
  width: 100%;
  margin-top: 12px;
}
input[type="text"],
input[type="email"],
input[type="password"] {
  height: 44px;
  width: 322px;
  border: 1px solid #f2f2f2;
  border-radius: 4px;
  color: #434343;
  font-size: 14px;
}
::placeholder {
  font-size: 14px;
}
.create-account-btn {
  width: 324px;
  height: 46px;
  background-color: rgba(60, 184, 120, 0.8);
  border-radius: 4px;
  border: none;
  margin-top: 20px;
  font-family: Ubuntu;
  font-size: 16px;
  color: #ffffff;
  cursor: pointer;
}
.center-wrap {
  width: 100vw;
  height: calc(100vh - 58px);
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-content: center;
  overflow: scroll;
}
button svg {
  padding-right: 37px;
}
label a {
  color: #3cb878;
  text-decoration: none;
}

/*CHECKBOX*/
.form-control {
  display: flex;
  flex-flow: row wrap;
  gap: 0.5rem;
  justify-content: center;
  align-items: flex-end;
}
input[type="checkbox"] {
  -webkit-appearance: none;
  appearance: none;
  background-color: var(--form-background);
  margin: 0;
  font: inherit;
  width: 1.5rem;
  height: 1.5rem;
  border: 1px solid #f2f2f2;
  display: grid;
  place-content: center;
}
input[type="checkbox"]::before {
  content: "";
  width: 1.5rem;
  height: 1.5rem;
  clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
  transform: scale(0);
  transform-origin: bottom left;
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em var(--form-control-color);
}
input[type="checkbox"]:checked::before {
  transform: scale(1);
}

/*HOVERS*/
.main-page-header:hover {
  opacity: 0.6;
}
.main-page-header a:hover {
  color: #01813F;
}
.main-page-header svg:hover path{
  fill: #01813F;
}
.btn-1:hover {
  background-color: #022263;
}
.btn-2:hover {
  background-color: #AB1F09;
}
.btn-3:hover {
  background-color:#01813F;
}
input:focus {
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
  outline:none;
}
input[type="text"], input[type="email"], input[type="password"] {
  padding-left: 10px;
  color: #707070;
}


.btn-svg-1 {
  position: relative;
}
.btn-svg-1::after {
  content: "";
  height: 60%;
  position: absolute;
  top:15%;
  right: 105px;
  border: 1px solid #2b0d092b;
}
.btn-svg-2 {
  position: relative;
}
.btn-svg-2::after {
  content: "";
  height: 60%;
  position: absolute;
  top:15%;
  right: 100px;
  border: 1px solid #2b0d092b;
}